import t from "../../../@babel/runtime/helpers/esm/defineProperty.mjs";
import * as i from "react";
import l from "../../../classnames/index.mjs";
function C(a) {
  var n, e = a.prefixCls, o = a.record, r = a.onExpand, c = a.expanded, p = a.expandable, s = "".concat(e, "-row-expand-icon");
  if (!p)
    return /* @__PURE__ */ i.createElement("span", {
      className: l(s, "".concat(e, "-row-spaced"))
    });
  var x = function(d) {
    r(o, d), d.stopPropagation();
  };
  return /* @__PURE__ */ i.createElement("span", {
    className: l(s, (n = {}, t(n, "".concat(e, "-row-expanded"), c), t(n, "".concat(e, "-row-collapsed"), !c), n)),
    onClick: x
  });
}
function E(a, n, e) {
  var o = [];
  function r(c) {
    (c || []).forEach(function(p, s) {
      o.push(n(p, s)), r(p[e]);
    });
  }
  return r(a), o;
}
export {
  E as findAllChildrenKeys,
  C as renderExpandIcon
};
